Bug 249894 - www/obhttpd: Update to 6.7.20200925
Summary: www/obhttpd: Update to 6.7.20200925
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL: https://github.com/koue/httpd/blob/ma...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-25 20:37 UTC by Nikola Kolev
Modified: 2021-05-11 05:17 UTC (History)
2 users (show)

See Also:


Attachments
obhttpd 6.7.20200925 patch (5.93 KB, text/plain)
2020-09-25 20:37 UTC, Nikola Kolev
no flags Details
obhttpd 6.7.20200925 libressl patch (6.81 KB, text/plain)
2020-12-01 23:52 UTC, Nikola Kolev
no flags Details
obhttpd 6.9.20210510 (8.59 KB, text/plain)
2021-05-10 23:01 UTC, Nikola Kolev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2020-09-25 20:37:36 UTC
Created attachment 218296 [details]
obhttpd 6.7.20200925 patch

Update www/obhttpd to 6.7.20200925.

Poudriere logs look good.
Comment 1 Automation User 2020-09-25 21:02:08 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/194694227
Comment 2 Fernando Apesteguía freebsd_committer 2020-09-30 06:28:34 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A: Some variables are out of place:

# USES block
USES

-SSL_VERSION
-LIBEVENT_VERSION
-LIBIMSG_VERSION

USE_GITHUB
GH_ACCOUNT
GH_PROJECT
GH_TAGNAME
USE_RC_SUBR

# Make block
+MAKE_ARGS

# CFLAGS/CXXFLAGS/LDFLAGS block
CFLAGS
LDFLAGS

-MAKE_ARGS

# Users and groups block
USERS
GROUPS

# Unknown variables
+LIBEVENT_VERSION
+LIBIMSG_VERSION
+SSL_VERSION


Thanks!
Comment 3 Nikola Kolev 2020-10-12 15:18:37 UTC
1. https://github.com/koue/httpd/blob/master/ChangeLog

2. Maintainer has to approve its own patch? Useless extra step.

3. Everything is in place:
www/obhttpd # make -V PORTVERSION
6.7.20200925
www/obhttpd # portlint 
looks fine.
Comment 4 Fernando Apesteguía freebsd_committer 2020-10-12 16:08:46 UTC
(In reply to Nikola Kolev from comment #3)
Hi Nikola,

1 - Thanks for that!

2 - It makes the PR database more searchable.

3 - Linters do their best, but the reference is the Handbook. Please check [1]. Variables that are specific to the port and are not part of the framework should go at the end. MAKE block variable should appear earlier.

Cheers!

[1] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-order
Comment 5 Nikola Kolev 2020-12-01 23:52:12 UTC
Created attachment 220150 [details]
obhttpd 6.7.20200925 libressl patch

Upgrade to version 6.7.20200925
Fix server_tls_init: failed to initialise tls issue.
Comment 6 Nikola Kolev 2021-05-10 23:01:08 UTC
Created attachment 224825 [details]
obhttpd 6.9.20210510

obhttpd 6.9.20210510
Comment 7 Neel Chauhan freebsd_committer 2021-05-11 05:17:41 UTC
Committed!
Comment 8 commit-hook freebsd_committer 2021-05-11 05:17:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=08d7bc66f5d1ce3c74d9c2d67e4ae9c87efee673

commit 08d7bc66f5d1ce3c74d9c2d67e4ae9c87efee673
Author:     Nikola Kolev <koue@chaosophia.net>
AuthorDate: 2021-05-11 05:15:20 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-05-11 05:17:26 +0000

    www/obhttpd: Update to 6.9.20210510

    Changes: https://github.com/koue/httpd/blob/master/ChangeLog

    PR:     249894

 www/obhttpd/Makefile                               | 67 +++++++++++++---------
 www/obhttpd/distinfo                               | 14 +++--
 .../files/extra-patch-libressl_tls_tls.c (new)     | 20 +++++++
 ...akefile => patch-src.usr.bin_htpasswd_Makefile} |  4 +-
 ..._Makefile => patch-src.usr.sbin_httpd_Makefile} |  4 +-
 5 files changed, 74 insertions(+), 35 deletions(-)